Jump to content


Photo

Help required - xEdit showing errors in many core mods

tes5edit xedit usleep srle sr:le sr:le extended srle extended

  • Please log in to reply
29 replies to this topic

#1 dunc001

dunc001

    Thane

  • Members
  • PipPipPipPipPipPip
  • 442 posts

Posted 23 June 2016 - 06:57 AM

Good afternoon all.  I am putting this up as a fresh forum post in the hope that some far more experienced than me can point me in the right direction.

 

I have an enormous build based off SR:LE and SR:LE Extended which for the past two months I have been adding to.  Unmerged it contains a total of just short of 580 plugins.  My load order now contains 49 merges which reduce the load order before bashed patch/DynDOLOD/DSR/ASIS to 246 (excluding the lvl list patches which bashed patch will remove). Every one of the merges has been individually CR'd, all scripts contained in merged mods checked to ensure there are no 'GetFormIDFromFile' calls on .esp files being merged and so on.  This has been an exhaustive process and I am pretty confident that the merges are all good and are not the cause of these errors.

 

None of the plugins showing below as containing errors relies on anything in any of the merges, and I have been very careful not to include in the merges any masters unless all dependents are also contained within the same merge.  So I can also pretty confidently say that none of the errors are being caused by renumbering of any of the IDs within the merges. 

 

So having got the load order to within the limit and updated everything which needed it I am about to embark on the CR for the full build.  I am intending to run through everything in the SR:LE CR followed by the SR:LEX CR and then go through each of the non-core/extended plugins and CR them (all of this into one CR plugin).  In preparation for starting this I reran LOOT on last time an decided to load everything up into xEdit and do some final housekeeping.  With the entire build loaded I selected everything and ran 'Check for Errors' and that's when the SHTF!  xEdit returned errors in a total of 39 plugins, only two of which are minor issues in two of my merges.  Many of the other plugins are core mods.  These are the plugins showing errors:

 

Unofficial Skyrim Legendary Edition Patch.esp
Nock2Tip.esm
ORS_MorthalPain.esm
SkyTEST-RealisticAnimals&Predators.esm
Cutting Room Floor.esp
Rigmor.esp
3DNPC.esp
iWil_UselessShopOverhaul.esp
Skyrim Immersive Creatures.esp
Civil War Overhaul.esp
WetandCold.esp
RealisticRoomRental.esp
Valerica.esp
LostGrimoire.esp
LandLord_.esp
Helgen Reborn.esp
MoonAndStar_MAS.esp
Undeath.esp
Basnpc.esp
Skyrim Unbound.esp
Hebrock_Der Schatten von Meresis - EV.esp
The Haven From The Cold And Dark.esp
EFFDialogue.esp
Dynamic Dialogue Followers.esp
Inigo.esp
quest_nomercy.esp
arnima.esp
Nock2Tip.esp
quest_seaofghosts.esp
ForgottenCity.esp
quest_pitfighter.esp
Snowbound Acres.esp
BlackreachRailroadNew.esp
MzarkWonders.esp
summersetisles.esp
Dragon Combat Overhaul.esp
CACO_Immersive_Creatures_Patch_ lvl_list.esp
 
It should be noted that none of these plugins have been tampered with, they are exactly as they were when I downloaded and installed them through MO.
 
I have uploaded the xEdit errors to pastebin here
 
I am looking for any advice or words of wisdom you can offer as to how best to go about addressing these errors, which if any of them can be ignored, whether there are any general rules about how to go about fixing each of the different types of error.
 
I will upload my mod list and load order to ModWatch this evening.
 
Many thanks for taking the time to read and I hope someone out there can help!

Edited by dunc001, 23 June 2016 - 07:01 AM.

  • 0

#2 Darth_mathias

Darth_mathias

    Dragon King

  • Pack Authors
  • PipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPip
  • 3,803 posts

Posted 23 June 2016 - 07:01 AM

well for starters you can get rid of:

 

Valerica.esp

 

As this has been merged in the latest version of my NPC Retexture merged mod.


  • 0

#3 Astakos

Astakos

    Jarl

  • Members
  • PipPipPipPipPipPipPipPipPip
  • 671 posts

Posted 23 June 2016 - 07:56 AM

Dunc, something must be seriously screwed up in your mod order...although I am not at my gaming rig now as to check some of the plugins that I use as well (not using all of them you have listed); I just don't recall seeing script errors (VMAD) ones to the majority of them. Also errors in USLEEP?? Are you sure that you are using the latest version 3.0.4a? I know there has been a reupload due to Nexus having corrupted the initial 3.0.4 upload...perhaps try re-downloading.

 

Which version of xEdit are u using? The latest one here


Edited by Astakos, 23 June 2016 - 07:56 AM.

  • 0

#4 dunc001

dunc001

    Thane

  • Members
  • PipPipPipPipPipPip
  • 442 posts

Posted 23 June 2016 - 08:06 AM

Dunc, something must be seriously screwed up in your mod order...although I am not at my gaming rig now as to check some of the plugins that I use as well (not using all of them you have listed); I just don't recall seeing script errors (VMAD) ones to the majority of them. Also errors in USLEEP?? Are you sure that you are using the latest version 3.0.4a? I know there has been a reupload due to Nexus having corrupted the initial 3.0.4 upload...perhaps try re-downloading.

 

Which version of xEdit are u using? The latest one here

I downloaded the latest 3.0.4a USLEEP two days ago so it should be the good one.  I'm on TES5Edit 3.1.2 from 16th June from here  3.1.3 only added support for FO4 as far as I can see so shouldn't have affected anything in TES5?

 

Plus I asked Darth to check his setup this morning and he confirmed the same errors (at least in USLEEP and CRF, he didn't check the others AFAIK).


Edited by dunc001, 23 June 2016 - 08:14 AM.

  • 0

#5 Astakos

Astakos

    Jarl

  • Members
  • PipPipPipPipPipPipPipPipPip
  • 671 posts

Posted 23 June 2016 - 08:11 AM

No no no!!! This is an extremely old version of TES5Edit...probably the reason you have all these errors.

 

Download the one form the link i gave you above and monitor that Nexus page for any future developments/updates of TES5Edit.


  • 0

#6 Darth_mathias

Darth_mathias

    Dragon King

  • Pack Authors
  • PipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPip
  • 3,803 posts

Posted 23 June 2016 - 08:19 AM

No no no!!! This is an extremely old version of TES5Edit...probably the reason you have all these errors.

 

Download the one form the link i gave you above and monitor that Nexus page for any future developments/updates of TES5Edit.

oh right i hadn't realised TES5Edit had been updated.


  • 0

#7 dunc001

dunc001

    Thane

  • Members
  • PipPipPipPipPipPip
  • 442 posts

Posted 23 June 2016 - 08:22 AM

No no no!!! This is an extremely old version of TES5Edit...probably the reason you have all these errors.

 

Download the one form the link i gave you above and monitor that Nexus page for any future developments/updates of TES5Edit.

If it's an old version why is it showing an upload date to the Nexus of 16th June 2016?


  • 0

#8 Darth_mathias

Darth_mathias

    Dragon King

  • Pack Authors
  • PipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPip
  • 3,803 posts

Posted 23 June 2016 - 08:33 AM

Dunc I belive teh one one the F)4 page the the latest devolpers version this is version Neo is currently pointing too so I am using that.


  • 0

#9 Astakos

Astakos

    Jarl

  • Members
  • PipPipPipPipPipPipPipPipPip
  • 671 posts

Posted 23 June 2016 - 08:36 AM

Dunc it is an old version...actually a very old version.

 

The only reason is showing as like it has been updated recently is because the account of one of the authors maintaining the page has been hijacked and in view of the fear that a malicious/virus archive has been uploaded instead of the actual TES5Edit, Sharlikran decided to erase that "malicious" upload and re-upload TES5Edit to the version that it was before the account-Hijack took place.

 

That is why it is appearing under a recent date. But it is a very old version....always keep an eye/track the link i gave you!

 

@ Darth

 

Darth, as Dunc saud, if you are using the latest version of FO4Edit (the link i gave above), you are experiencing errors in USLEEP 3.0.4a??

I would be extremely surprised if you do...


Edited by Astakos, 23 June 2016 - 08:36 AM.

  • 0

#10 dunc001

dunc001

    Thane

  • Members
  • PipPipPipPipPipPip
  • 442 posts

Posted 23 June 2016 - 08:39 AM

Dunc it is an old version...actually a very old version.

 

The only reason is showing as like it has been updated recently is because the account of one of the authors maintaining the page has been hijacked and in view of the fear that a malicious/virus archive has been uploaded instead of the actual TES5Edit, Sharlikran decided to erase that "malicious" upload and re-upload TES5Edit to the version that it was before the account-Hijack took place.

 

That is why it is appearing under a recent date. But it is a very old version....always keep an eye/track the link i gave you!

Grrr!  Thanks for the heads up.  I'll download 3.1.3 tonight and recheck everything.  I am just hoping that I didn't induce further errors last night editing things in a couple of plugins which showed as errors pre-merge.  I'm pretty sure it won't be a problem as they showed as having errors in Merge Plugins Standalone before I checked them in xEdit.


  • 0

#11 Darth_mathias

Darth_mathias

    Dragon King

  • Pack Authors
  • PipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPipPip
  • 3,803 posts

Posted 23 June 2016 - 08:40 AM

i've just redownloaded TES5Edit from the FO4 page rerun against USLEEP and no errors i must off had a older version as well.

 

Thanks Astakos


Edited by Darth_mathias, 23 June 2016 - 08:42 AM.

  • 0

#12 dunc001

dunc001

    Thane

  • Members
  • PipPipPipPipPipPip
  • 442 posts

Posted 23 June 2016 - 08:41 AM

Dunc I belive teh one one the F)4 page the the latest devolpers version this is version Neo is currently pointing too so I am using that.

So are you saying that there are still errors showing as per our earlier conversation and that you have checked using the correct version of xEdit from the FO4 page?

 

Edit - Ninja'd


Edited by dunc001, 23 June 2016 - 08:41 AM.

  • 0

#13 Astakos

Astakos

    Jarl

  • Members
  • PipPipPipPipPipPipPipPipPip
  • 671 posts

Posted 23 June 2016 - 02:50 PM

i've just redownloaded TES5Edit from the FO4 page rerun against USLEEP and no errors i must off had a older version as well.

 

Thanks Astakos

Glad to hear Darth!  ::):


  • 0

#14 dunc001

dunc001

    Thane

  • Members
  • PipPipPipPipPipPip
  • 442 posts

Posted 23 June 2016 - 11:20 PM

Right, more wierdness.  I downloaded xEdit 3.1.3 last night and reran the Check For Errors on my complete load order.  I got exactly the same errors again, in fact there were some new errors showing in USLEEP (namesh triangles).  Then with the full load order still loaded in I deselected everything and just ran the check on USLEEP and still got the same errors.  So I exited xEdit and opened it up again this time loading only USLEEP in on it's own and rechecked - no errors!  

 

So how come I am getting errors on these plugins when I have my complete load order loaded in to xEdit, yet no errors when I load them in individually and check them?  So knowing this now what is the process I should follow to track down the cause?  I notice when I watch the Messages log in xEdit that records are 'injected into' plugins.  Could this be what's happening, that 'broken' records are being injected into these plugins by something later on in the load order? 


Edited by dunc001, 23 June 2016 - 11:22 PM.

  • 0

#15 zilav

zilav

    Commander

  • Mod Authors
  • PipPipPipPip
  • 313 posts

Posted 24 June 2016 - 01:09 AM

There are almost no differences between 3.1.2 and the latest builds regarding Skyrim plugins handling, that's why 3.1.2 stays on Skyrim nexus as the last available stable release before we started experimenting with Fallout 4.


  • 0



Also tagged with one or more of these keywords: tes5edit, xedit, usleep, srle, sr:le, sr:le extended, srle extended

0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users